%global framework kwindowsystem

## uncomment to enable bootstrap mode
#global bootstrap 1

## currently includes no tests
%if !0%{?bootstrap}
%global tests 1
%endif

Name:           kf5-%{framework}
Version:        5.113.0
Release:        2
Summary:        KDE Frameworks 5 Tier 1 integration module with classes for windows management

License:        LGPLv2+ and MIT
URL:            https://invent.kde.org/frameworks/%{framework}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz
# filter plugin provides
%global __provides_exclude_from ^(%{_kf5_plugindir}/.*\\.so)$

BuildRequires:  make
BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-rpm-macros >= %{majmin}
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qtx11extras-devel

%if 0%{?tests}
BuildRequires:  openbox
#BuildRequires:  weston
BuildRequires:  xorg-x11-server-Xvfb
%endif

Requires:       kf5-filesystem >= %{majmin}

%description
KDE Frameworks Tier 1 integration module that provides classes for managing and
working with windows.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-qtbase-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version}


%build
%{cmake_kf5}
%{cmake_build}


%install
%{cmake_install}

%find_lang_kf5 kwindowsystem5_qt


%check
%{ctest}

%ldconfig_scriptlets

%files -f kwindowsystem5_qt.lang
%doc README.md
%license LICENSES/*.txt
%{_kf5_datadir}/qlogging-categories5/%{framework}.*
%{_kf5_libdir}/libKF5WindowSystem.so.*
%dir %{_kf5_plugindir}/kwindowsystem/
#{_kf5_plugindir}/kwindowsystem/KF5WindowSystemWaylandPlugin.so
%{_kf5_plugindir}/kwindowsystem/KF5WindowSystemX11Plugin.so

%files devel
%{_kf5_includedir}/KWindowSystem/
%{_kf5_libdir}/libKF5WindowSystem.so
%{_kf5_libdir}/cmake/KF5WindowSystem/
%{_kf5_archdatadir}/mkspecs/modules/qt_KWindowSystem.pri


%changelog
* Fri Nov 15 2024 ChenYanpan <chenyanpan@xfusion.com> - 5.113.0-2
- adapt to the new CMake macros to fix build failure

* Thu Jan 04 2024 jiangxinyu <jiangxinyu@kylinos.cn> - 5.113.0-1
- Update package to version 5.113.0

* Thu Aug 03 2023 peijiankang <peijiankang@kylinos.cn> - 5.108.0-1
- Update package to version 5.108.0

* Mon Dec 12 2022 liqiuyu <liqiuyu@kylinos.cn> - 5.100.0-1
- Update package to version 5.100.0

* Mon Sep 05 2022 liweiganga <liweiganga@uniontech.com> - 5.97.0-1
- update to upstream version 5.97.0

* Tue Jul 05 2022 huayadong <huayadong@kylinos.cn> - 5.95.0-1
- update to upstream version 5.95.0

* Wed Feb 23 2022 pei-jiankang <peijiankang@kylinos.cn> - 5.90.0-2
- modify find X11::X11 error

* Sat Feb 12 2022 pei-jiankang <peijiankang@kylinos.cn> - 5.90.0-1
- update to upstream version 5.90.0

* Fri Jan 14 2022 pei-jiankang <peijiankang@kylinos.cn> - 5.88.0-1
- update to upstream version 5.88.0

* Mon Dec 13 2021 douyan <douyan@kylinos.cn> - 5.55.0-2
- remove %{?dist}

* Thu Jul 23 2020 Zhao Yang <yangzhao1@kylinos.cn> - 5.55.0-1
- Initial release for OpenEuler
